@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

body {
  background-color: #1a226b;
  margin: 0;
  justify-content: center;
  align-items: center;
}

// Форма

.form {
  display: flex;
  position: fixed;
  margin: auto;
  top: 0%;
  bottom: 0%;
  left: 0%;
  right: 0%;
  flex-direction: column;
  width: 600px;
  height: 412px;
  background-color: white;
  border-radius: 20px;
}

// пред-заголовок

.text {
  margin-top: 11px;
  margin-right: 11px;
  text-align: right;
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  font-weight: 700;
  color: #1a226b;
}

// Заголовок

.heading {
  margin-top: 3px;
  margin-bottom: 10px;
  text-align: center;
  font-family: 'Roboto', sans-serif;
  font-size: 50px;
  font-weight: 700;
  color: #787878;
}

// Поля ввода

.label {
  position: relative;
  padding-top: 16px;
  padding-bottom: 20px;
  padding-left: 45px;

  &::before {
    content: '*';
    position: absolute;
    top: 0;
    padding-left: 45px;
    left: -12px;
    font-family: 'Roboto', sans-serif;
    font-size: 16px;
    font-weight: 700;
    color: #787878;
  }
}

.title {
  position: absolute;
  top: -2px;
  left: 12px;
  padding-left: 35px;
  margin-bottom: 5px;
  font-family: 'Roboto', sans-serif;
  font-size: 16px;
  font-weight: 700;
  color: #787878;
}


.input {
  display: block;
  width: 475px;
  padding: 8px 12px;
  background-color: #fff;
  color: #787878;
  border: 2px solid #787878;
  border-radius: 10px;
  font-family: 'Roboto', sans-serif;
  font-size: 28px;
  font-weight: 700;
}

.error-label {
  border: 2px solid #CB2424;
}

// Сообщение о незаполненном поле

.message{
  // display: none;
  position: absolute;
  font-family: 'Roboto', sans-serif;
  font-size: 10px;
  font-weight: 500;
  line-height: 16px;
  color: #CB2424;
}

// Чекбокс

.checkbox {
  width: 24px;
  height: 24px;
}

.checkbox-label {
  display: block;
  height: 50px;
  top: 9px;
  padding-left: 45px;
  font-family: 'Roboto', sans-serif;
  font-size: 14px;
  font-weight: 400;
  font-weight: normal;
  color: #787878;
  cursor: pointer;
}

.checkbox-error {
  border: 2px solid #CB2424;
}

.checkbox-info {
  position: absolute;
  margin-top: 10px;
  margin-left: 8px;
}

.position {
  position: absolute;
  margin-top: 32px;
  margin-left: -28px;
}

// Кнопка

.submit-button {
  position: relative;
  left: 220px;
  width: 180px;
  padding: 18px 17px;
  line-height: inherit;
  border-radius: 10px;
  background-color: #1a226b;
  font-family: 'Roboto', sans-serif;
  font-size: 24px;
  font-weight: 700;
  color:#fff;
  cursor: pointer;
}